package vip.xiaonuo.money.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 财务产品销售收入
 * </p>
 *
 * @author author
 * @since 2024-12-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("money_produce_income")
public class MoneyProduceIncome implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * NF级胆固醇
     */
    private String nfCholesterol;

    /**
     * 饲料级胆固醇
     */
    private String breedCholesterol;

    /**
     * 羊毛醇
     */
    private String sheepAlcohol;

    /**
     * 羊毛酸
     */
    private String sheepSour;

    /**
     * 羊毛酸异丙蜡
     */
    private String sheepSourBing;

    /**
     * 其他
     */
    private String other;

    /**
     * 组织id
     */
    private String orgId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;


}
