package vip.xiaonuo.money.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import org.apache.ibatis.annotations.Param;
import vip.xiaonuo.money.entity.MoneyOverdue;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import vip.xiaonuo.money.entity.vo.MoneyBorrowUserVo;

import java.util.List;

/**
 * <p>
 * 财务应收逾期表 Mapper 接口
 * </p>
 *
 * @author author
 * @since 2024-11-21
 */
public interface MoneyOverdueMapper extends BaseMapper<MoneyOverdue> {

    List<MoneyBorrowUserVo> getUserRank(@Param(Constants.WRAPPER) QueryWrapper<MoneyOverdue> queryWrapper);
}
